## org.eclipse.emf.mint
Interface IJavaElementNotification

All Superinterfaces:
  org.eclipse.emf.common.notify.Notification

All Known Implementing Classes:
  JavaElementNotification

    public interface IJavaElementNotification

extends org.eclipse.emf.common.notify.Notification

Describes a change to a model element's associated Java element set.

Field Summary
`static int` `REFRESH` Custom event type for refresh events whose purpose is to indicate to clients that all elements' descriptors should be refreshed from their sources.

Fields inherited from interface org.eclipse.emf.common.notify.Notification
`ADD, ADD_MANY, CREATE, EVENT_TYPE_COUNT, MOVE, NO_FEATURE_ID, NO_INDEX, REMOVE, REMOVE_MANY, REMOVING_ADAPTER, RESOLVE, SET, UNSET`

Method Summary
`Object` `getElement()` Model element whose set of Java elements (potentially) changed.

Methods inherited from interface org.eclipse.emf.common.notify.Notification

`getEventType, getFeature, getFeatureID, getNewBooleanValue, getNewByteValue, getNewCharValue, getNewDoubleValue, getNewFloatValue, getNewIntValue, getNewLongValue, getNewShortValue, getNewStringValue, getNewValue, getNotifier, getOldBooleanValue, getOldByteValue, getOldCharValue, getOldDoubleValue, getOldFloatValue, getOldIntValue, getOldLongValue, getOldShortValue, getOldStringValue, getOldValue, getPosition, isReset, isTouch, merge, wasSet`

Field Detail

### REFRESH

    static final int REFRESH

  Custom event type for refresh events whose purpose is to indicate to clients that all elements' descriptors should be refreshed from their sources.

  See Also:
    Constant Field Values

Method Detail

### getElement

    Object getElement()

  Model element whose set of Java elements (potentially) changed.

  Returns:
    model element whose Java elements changed

Copyright 2008, 2009 Ecliptical Software Inc. and others. All Rights Reserved.